'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var BackPlateFactory = function BackPlateFactory(React) {
  return function () {
    return React.createElement('span', { className: 'hyper-media-plate', style: plateStyle });
  };
};

var plateStyle = {
  position: 'absolute',
  top: 0,
  left: 0,
  bottom: 0,
  right: 0,
  opacity: 0.07,
  backgroundColor: '#FFF'
};

exports.default = BackPlateFactory;