'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var ButtonFactory = function ButtonFactory(React) {
  return function (_ref) {
    var click = _ref.click,
        iconUrl = _ref.iconUrl,
        style = _ref.style,
        title = _ref.title;

    return React.createElement('div', { title: title, className: 'hyper-media-icon hoverable', style: Object.assign({}, style, buttonStyle, { webkitMaskImage: 'url(' + iconUrl + ')', display: click ? 'inherit' : 'none' }), onClick: click });
  };
};

var buttonStyle = {
  webkitMaskSize: 'contain',
  webkitMaskRepeat: 'no-repeat',
  webkitMaskPosition: 'center',
  opacity: '0.5',
  height: '16px',
  width: '17px',
  backgroundColor: '#FFF'
};

exports.default = ButtonFactory;